std::experimental::filesystem::filesystem_error(3cxx)

NAME
std::experimental::filesystem::filesystem_error - Exception type thrown by the Filesystem TS library.

SYNOPSIS

#include <filesystem>

Inherits std::system_error.

  Public Member Functions

filesystem_error (const string &__what_arg, const path &__p1, const path &__p2, error_code __ec)
filesystem_error (const string &__what_arg, const path &__p1, error_code __ec)
filesystem_error (const string &__what_arg, error_code __ec)
const error_code & code () const noexcept
const path & path1 () const noexcept
const path & path2 () const noexcept
const char * what () const noexcept

Detailed Description

Exception type thrown by the Filesystem TS library.

Member Function Documentation

  const char * std::experimental::filesystem::filesystem_error::what () const [inline], [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::runtime_error.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str().

Author

Generated automatically by Doxygen for libstdc++ from the source code.